#
# $Header: $
# 
# Config parameters
# 
# Only Strings and Dwords are supported.  To indentify a value as a string use quotes.
# Otherwise the value will be interpreted as a Dword.
#
# Composite strings are also supported.  Strings built from previously defined props
# for example :
#
#

# Set FW_PROMPT_DOWNLOAD_USB to 1 when prompting the user for permission to update
#    a USB connected printer's firmware
# Set FW_PROMPT_DOWNLOAD_USB to 0 otherwise.
# the default value for FW_PROMPT_DOWNLOAD_USB is 0
FW_PROMPT_DOWNLOAD_USB = 0

# Supported Infs
PRINT_INFNAME = "drivers\RJ610N.inf"
EWS_INFNAME = "drivers\mvusbcomm.INF"
# SCAN_INFNAME = "scan.INF"
# FAX_INFNAME = "fax.INF"

CD_VOLUME_NAME = "Lenovo RJ610N"
PRINTER_SERIES_NAME = "Lenovo RJ610N"
INSTALL_DIRECTORY = "Lenovo RJ610N"
ARP_UNINSTALLTAG = "Lenovo RJ610N"
SHORTCUT_DIRECTORY = "Lenovo RJ610N"
PRODUCT_VIDPID = "vid_17ef&pid_5504"
ISRUNNING_MUTEX_NAME = "RJ610NInstallExists"
DRIVER_VER_FILE = "ZSU_RJ610N.VER"
MANUFACTURER = "Lenovo"

FWBIN_FILES = "MDL:RJ610N;LIC:MH400048;, product.brand.bin,MDL:RJ610N;LIC:MH400007;, product.mhog.bin,MDL:RJ610N;LIC:;, product.mhog.bin"

#slp
MULTICAST_IPADDRESS = "239.255.255.253"
SERVICE_TAG = "service:printer:raw-tcp"
PRINTERID_TAG = "ieee-1284-device-id"
IPADDRESS_TAG = "x-ip-addr"
MACADDRESS_TAG = "x-mac-addr"
HOSTNAME_TAG = "printer-name"
MANUFACTURER_FILTER = MANUFACTURER
PRINTERNAME_FILTER = "RJ610N"

# Software Update
SOFTWARE_UPDATE_URL = "https://www.memjet.com/SoftwareUpdates/SoftwareUpdates.xml"

# Used by CD Launcher
HELP_DIR = "manuals"
HELP_FILE = "UserGuide.pdf"
LEGAL_NOTICE_FILE = "LegalNotice.pdf"
WEBSITE_URL = "http://support1.lenovo.com.cn/lenovo/wsi/index.html"
INSTALLER_FILENAME = "Install.exe" 

# MSIs to install before the drivers are installed
# NOTE: This should only be MSIs that the drivers need (e.g. portmonitors)
# PREDRIVER_32BIT_MSIS = ""
# PREDRIVER_64BIT_MSIS = ""
# MSIs to install after the drivers are installed
# POSTDRIVER_32BIT_MSIS = ""
# POSTDRIVER_64BIT_MSIS = ""

# Valid printer types: USB, USBNET, NET
# PRINTERTYPES = "Printer Type 1 (USB only), USB, Printer Type 2 (USB + Network), USBNET"
PRINTERTYPES = "Printer Type 2 (USB + Network), USBNET"
# PRINTERTYPES = "Printer Type 1 (USB only), USB"

# Replace the finish dialog with this user defined exe
# Supported folder macros:
#		%THISEXE_DIR%     -- The directory of the install exe
#		%PROGRAMFILES_DIR%
#		%SYSTEM32_DIR%
#		%WINDOWS_DIR%
#		%TEMP_DIR%
# FINISH_INSTALL_EXE = "%THISEXE_DIR%\exes\PrintViewer.exe"

# Scrub Parameters
# REMOVE_NONPRINTER_DEVICE_HWIDS = "*vid_1286&pid_0f0c*&mi_01*, *vid_1286&pid_0f0c*&mi_02*, *vid_1286&pid_0f0c*&mi_03*"
